<div class="row mt-n1 py-1"{{with .controller}}data-controller="{{.name}}" data-{{.name}}-id="{{$.name}}" id="{{$.name}}"{{end}}>
  <div class="col-12" style="min-height:88px">
    {{$tableModel := index site.Data (print .model ".model")}}
    <onis-table id="{{.name}}-table" cls="w-100"{{with .waydata}} way-data="{{.}}"{{end}}{{with .edit}}edit="{{.}}"{{end}}{{with .model}} data-model="{{.}}"{{end}}>
      {{range .cols}}
      {{$col := .}}
      {{if $tableModel}}
      {{with (index $tableModel.fields $col.name)}}
      <onis-col type="{{default "text" .type}}" name="{{$col.name}}" width="{{$col.width}}"{{with $col.linkfield}} linkfield="{{.}}"{{end}}>{{.label}}<span><input type="text"></span></onis-col>
      {{end}}
      {{end}}
      {{end}}
    </onis-table>
  </div>
</div>
